import request from "@/utils/httpRequest";
import { REGISTER_PATH as prefix } from "../../AppPath";

export default {
	list: function (params) {
		return request({
			url: prefix + '/departRegistration/list',
			method: 'get',
			params: params
		})
	},
	save (inputForm) {
		return request({
			url: prefix +  `/departRegistration/save`,
			method: 'post',
			data: inputForm
		})
	},
	findById (id) {
		return request({
			url: prefix + '/departRegistration/findById',
			method: 'get',
			params: {id: id}
		})
	},
	getByHandoverId (handoverId) {
		return request({
			url: prefix + '/departRegistration/getByHandoverId',
			method: 'get',
			params: {handoverId: handoverId}
		})
	},
	updateStatusById (param) {
		return request({
			url: prefix + '/departRegistration/updateStatusById',
			method: 'post',
			data: param
		})
	},
	remove (id) {
		return request({
			url: prefix + '/departRegistration/remove',
			method: 'get',
			params: {id: id}
		})
	},
	selectComplete () {
		return request({
			url: prefix + '/departRegistration/selectComplete',
			method: 'get',
			params: {}
		})
	},
	selectContractStartDate () {
		return request({
			url: prefix + '/departRegistration/selectContractStartDate',
			method: 'get',
			params: {}
		})
	},
}
